;-----------------------------------;
	FASTM			EQU		9FH
	AUXR			EQU		8EH
	IPH				EQU		0B7H

;***********---CLK Reg---***********;
	CLKREG			EQU		8FH

;***********---WSR Reg---***********;
	WSR				EQU		0FFh

;***********---DPTR Reg---**********;
	DP0L			EQU		82H
	DP0H			EQU		83H
	DP1L			EQU		84H
	DP1H			EQU		85H

;***********---SPI Reg---***********;
	SPDR0			EQU		86H
	SPDR1			EQU		9EH
	SPSR0			EQU		0AAH
	SPSR1			EQU		0ACH
	SPCR0			EQU		0D5H
	SPCR1			EQU		0D6H

;***********---UART Reg---**********;
	SCON0			EQU		98H
	SBUF0			EQU		99H
	SCON1			EQU		9AH
	SBUF1			EQU		9BH
	SADDR0			EQU		0A9H
	SADDR1			EQU		0ABH
	SADEN0			EQU		0B9H
   	SADEN1			EQU		0BBH
;***********---PORT Reg---**********;
	P4				EQU		0C0H
	P5				EQU		0E8H
	P1SEL			EQU		91H

;***********---TIMER Reg---*********;
	T2CON 			EQU 	0C8h 
	T2MOD 			EQU		0C9h
	RCAP2L			EQU		0CAh
	RCAP2H 			EQU		0CBh
	TL2 			EQU 	0CCh
	TH2 			EQU 	0CDh

;***********---IIC Reg---***********;

	SMBSDA			EQU		0E1H
	SMBST  			EQU     0E2H
	SMBCST 			EQU     0E3H
	SMBCTRL1		EQU     0E4H
	SMBADDR			EQU     0E5H
	SMBCTRL2		EQU     0E6H
	SMBTOPR 		EQU     0E7H
	SMBCTRL3		EQU     0EFH 

;***********---PCA Reg---***********;
  	CCON			EQU		0D8h
  	CMOD 			EQU 	0D9h
  	CCAPM0 			EQU		0DAh
  	CCAPM1			EQU 	0DBh
  	CCAPM2 			EQU		0DCh
  	CCAPM3 			EQU		0DDh
  	CCAPM4			EQU 	0DEh
  	CL 				EQU		0E9h 
  	CCAP0L 			EQU		0EAh
  	CCAP1L 			EQU		0EBh
  	CCAP2L 			EQU		0ECh
 	CCAP3L			EQU 	0EDh 
  	CCAP4L 			EQU		0EEh
  	CH 				EQU 	0F9h 
  	CCAP0H 			EQU		0FAh
  	CCAP1H 			EQU 	0FBh
  	CCAP2H 			EQU		0FCh
  	CCAP3H 			EQU		0FDh
  	CCAP4H 			EQU		0FEh 

;***********---WDT Reg---***********;
	WDTRST			EQU		0A6H
	WDTCON			EQU		0A7H

;***********---RAM Reg---***********;
	RAMST0			EQU		0BEH
	RAMST1			EQU		0BFH

;***********---MDU Reg---***********;
	MDUCON			EQU		0C1H
	MD0_MR0			EQU		0C2H
	MD1_MR1			EQU		0C3H
	MD2_MR2			EQU		0C4H
	MD3_MR3			EQU		0C5H
	MD4_MR4			EQU		0C6H
	MD5_MR5			EQU		0C7H

;***********---GOST 28147-89---*****;
;---WSR = 01h-----------------------;
	CDCON 			EQU		80h  
	CDDATNUM		EQU		81h   
	CDSTATE 		EQU		82h  
	CDDATA  		EQU		83h 
	CDKEY 			EQU		84h  
	CDSBSTN			EQU		85h   
	CDUW 			EQU		86h 
	CDAUTH			EQU 	87h   

;***********---LIN---***************;
;---WSR = 01h-----------------------;
	LINDTX0 		EQU  	90h
	LINDTX1 		EQU		91h  
	LINDTX2 		EQU		92h   
	LINDTX3  		EQU		93h 
	LINDTX4 		EQU		94h  
	LINDTX5 		EQU		95h  
	LINDTX6 		EQU		96h  
	LINDTX7 		EQU		97h  
	LINDRX0 		EQU		98h  
	LINDRX1 		EQU		99h  
	LINDRX2 		EQU		9Ah   
	LINDRX3 		EQU		9Bh  
	LINDRX4 		EQU		9Ch  
	LINDRX5 		EQU		9Dh  
	LINDRX6 		EQU		9Eh  
	LINDRX7 		EQU		9Fh  
	LINCONL 		EQU		0A0h
	LINCONH 		EQU		0A1h 
	LINSTATL 		EQU		0A2h 
	LINSTATH 		EQU		0A3h 
	LINBREAKL		EQU	 	0A4h
	LINBREAKH 		EQU		0A5h 
	LINSPEEDL 		EQU		0A6h 
	LINSPEEDH  		EQU		0A7h
	LINPIDTX  		EQU		0A8h
	LINPIDRX 		EQU		0A9h 
	LINCSR 			EQU		0AAh 
  	LININTENL 		EQU 	0ACh
  	LININTENH		EQU 	0ADh

;***********---MILSTD Reg---********;
;---WSR = 02h-----------------------;
	BSICONF1		EQU		80h		
	BSICONF2		EQU		82h		
	BSICON			EQU		84h		

	BSISW1_1 		EQU 	87h
	BSISW1_0 		EQU		86h
	BSISW2_1 		EQU		89h
	BSISW2_0 		EQU		88h
	BSICMD1_1	 	EQU		8bh
	BSICMD1_0	 	EQU		8ah
	BSICMD2_1 		EQU		8dh
	BSICMD2_0	 	EQU		8ch
	BSIDAT1H 		EQU 	91h
	BSIDAT1L 		EQU 	90h
	BSIDAT2H 		EQU 	93h
	BSIDAT2L 		EQU 	92h
	BSIDAT3H 		EQU 	95h
	BSIDAT3L 		EQU 	94h
	BSIDAT4H 		EQU 	97h
	BSIDAT4L 		EQU 	96h
	BSIDAT5H 		EQU 	99h
	BSIDAT5L 		EQU 	98h
	BSIDAT6H 		EQU 	9bh
	BSIDAT6L 		EQU 	9ah
	BSIDAT7H 		EQU 	9dh
	BSIDAT7L 		EQU 	9ch
	BSIDAT8H 		EQU 	9fh
	BSIDAT8L 		EQU 	9eh
	BSIDAT9H 		EQU 	0a1h
	BSIDAT9L 		EQU 	0a0h
	BSIDAT10H 		EQU 	0a3h
	BSIDAT10L 		EQU 	0a2h
	BSIDAT11H 		EQU 	0a5h
	BSIDAT11L 		EQU 	0a4h
	BSIDAT12H 		EQU 	0a7h
	BSIDAT12L 		EQU 	0a6h
	BSIDAT13H 		EQU 	0a9h
	BSIDAT13L 		EQU 	0a8h
	BSIDAT14H 		EQU 	0abh
	BSIDAT14L 		EQU 	0aah
	BSIDAT15H 		EQU 	0adh
	BSIDAT15L 		EQU 	0ach
	BSIDAT16H 		EQU 	0afh
	BSIDAT16L 		EQU 	0aeh
	BSIDAT17H 		EQU 	0b1h
	BSIDAT17L 		EQU 	0b0h
	BSIDAT18H 		EQU 	0b3h
	BSIDAT18L 		EQU 	0b2h
	BSIDAT19H 		EQU		0b5h
	BSIDAT19L  		EQU		0b4h
	BSIDAT20H 		EQU		0b7h
	BSIDAT20L  		EQU		0b6h
	BSIDAT21H 		EQU		0b9h
	BSIDAT21L  		EQU		0b8h
	BSIDAT22H 		EQU		0bbh
	BSIDAT22L  		EQU		0bah
	BSIDAT23H 		EQU		0bdh
	BSIDAT23L  		EQU		0bch
	BSIDAT24H 		EQU		0bfh
	BSIDAT24L  		EQU		0beh
	BSIDAT25H 		EQU		0c1h
	BSIDAT25L  		EQU		0c0h
	BSIDAT26H 		EQU		0c3h
	BSIDAT26L  		EQU		0c2h
	BSIDAT27H 		EQU		0c5h
	BSIDAT27L  		EQU		0c4h
	BSIDAT28H 		EQU		0c7h
	BSIDAT28L  		EQU		0c6h
	BSIDAT29H 		EQU		0c9h
	BSIDAT29L  		EQU		0c8h
	BSIDAT30H 		EQU		0cbh
	BSIDAT30L  		EQU		0cah
	BSIDAT31H 		EQU		0cdh
	BSIDAT31L  		EQU		0cch
	BSIDAT32H 		EQU		0cfh
	BSIDAT32L  		EQU		0ceh
	BSIINTSTAT 		EQU		0d0h		
		
	BSITIMER4 		EQU		0d5h
	BSITIMER3		EQU		0d4h
	BSITIMER2		EQU		0d3h
	BSITIMER1		EQU		0d2h



